import { Page } from "@/data/page";
import pageDtoTransformer, { PageDTO } from "@/api/dto/page";
import { axios } from "@/api";

const STATIC_PAGE_INDEX_ENDPOINT = "/staticPage";

export { get, STATIC_PAGE_ENDPOINT } from "@/api/page"

export async function all(): Promise<Page[]> {
    const response = await axios.get<PageDTO[]>(STATIC_PAGE_INDEX_ENDPOINT);
    return response.data.map(dto => pageDtoTransformer.transform(dto));
}
